//---------------------------------------------------------------------------

#ifndef ExtImageH
#define ExtImageH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Classes.hpp>
#include <Controls.hpp>
#include <ExtCtrls.hpp>
#include <jpeg.hpp>
#include "math.h"
#include <DB.hpp>
#include <DBCtrls.hpp>
#include <DBTables.hpp>
//---------------------------------------------------------------------------
class PACKAGE TExtImage : public TImage
{
private:
        TStream *Stream;
        TDataSource *FDataSource;
        TBlobField *FDataField;
        bool FAutoLoadDBPicture;
        void __fastcall SetAutoLoadDBPicture(bool value);
        void __fastcall SetDataSource(TDataSource *value);
        void __fastcall SetDataField(TBlobField *value);
        void __fastcall DataSetAfterScroll(TDataSet *DataSet);
        bool zapusk;
protected:
public:
        __fastcall TExtImage(TComponent* Owner);
        void __fastcall SaveImageToDB();
__published:

        bool __fastcall Rotate90();
        bool __fastcall Rotate270();
        bool __fastcall FlipVertical();
        bool __fastcall FlipHorizontal();
        bool __fastcall Rotate180();
        bool __fastcall JpgToBmp();
        bool __fastcall BmpToJpg();
        void __fastcall LoadDBPicture();
        __fastcall ~TExtImage();
        __property  TDataSource *DataSource  = { read=FDataSource, write=SetDataSource };
        __property  TBlobField *DataField  = { read=FDataField, write=SetDataField };
        __property bool AutoLoadDBPicture  = { read=FAutoLoadDBPicture, write=SetAutoLoadDBPicture };
       
};
//---------------------------------------------------------------------------
#endif


